Restoring IOS36?

Discussion in 'Wii - Hacking' started by Amplify, Jul 14, 2010.

Jul 14, 2010

Restoring IOS36? by Amplify at 4:18 PM (3,457 Views / 0 Likes) 23 replies

  1. Amplify
    OP

    Newcomer Amplify Newbie

    Joined:
    Jul 14, 2010
    Messages:
    9
    Country:
    United Kingdom
    Okay, let me first give you a brief rundown of how I got to this before I get to my problem:

    I'm a complete newbie to softmodding or anything like, been quite happy for 20 years of gaming to go without any modding at all and it was good. However just recently thanks to the infinite wisdom of Capcom, I'm having to install USBloader and run an NTSB copy of my PAL game if I ever want to play with my friends. (Region specific online servers, great idea Capcom!) So with the help of a friend I've been listening to the following two guides:

    http://sites.google.com/site/completesg/
    http://usbloadergx.koureio.net/help/readmii

    I followed them reasonably well I feel, did bannerbomb, got the HBC, did the trucha bug for IOS36, did Waninkoko's cIOS installer, formatted a pendrive in WBFS with my .iso and set the base boot path to bISO223 in the USBloader, all looked good until trying to start a new game gave me a black screen and a low hum. Cue the following conversation:


    RazorRamon: now you need to deinstall all the cios stuff you installed with dopmii
    RazorRamon: and redo it cause you fucked up somewhere
    RazorRamon: only the ios stuff tho
    Amplify: couldn't it just be a faulty .iso or something?
    RazorRamon: hahahaha yeah right
    RazorRamon: i had this error too cause i installed the ios wrong
    RazorRamon: i also used an older version of waninkoko cios the second time around
    RazorRamon: rev14 or something
    RazorRamon: dunno if that fixed it or if i just did things wrong the first time
    RazorRamon: anyway here is short summary
    RazorRamon: 1. install ios 36 that accepts unsigned code through trucha bug that exploits ios 15
    RazorRamon: uh before you start
    RazorRamon: i guess you need to deinstall cios 36 and 222 and 223 with dopmii
    RazorRamon: 2. install waninkoko cios, if it asks what ios to use during installation and what slot to use, the answer is always 36
    RazorRamon: 3. hermes, instructions are somewhere if you scroll up already said those


    Following the bolded line, I deinstalled cIOS 36, 222 and 223 with dop-mii.

    Then when I tried to reinstall ISO36 with the trucha bug it couldn't do it without me selecting 36 from the IOS list first, which of course isn't there. I can't go back in to reinstall 36, 222 or 223 because it gives me an error and wants me to choose a channel that accepts fake signing. At this point my 'friend' didn't know what to do either and effectively abandoned me up sh*t creek without a paddle.



    I'm basically way out of my depth here and don't have ISO36 here any more, is there any way I can get it back at all? I have a PAL region Wii, the ver info claims it's 4.1 though every other sign points to it really being 4.2.

    Thanks for any help.
     


  2. MrDiesel

    Member MrDiesel GBAtemp Regular

    Joined:
    Apr 21, 2010
    Messages:
    175
    Location:
    My PC :)
    Country:
    Belgium
    Download IOS36 from NUSD and pack it as a WAD. Using WAD Manager 1.7, MMM or YAWMM, install it using IOS249 and redo the guide.
     
  3. Amplify
    OP

    Newcomer Amplify Newbie

    Joined:
    Jul 14, 2010
    Messages:
    9
    Country:
    United Kingdom
    Do I need v1042, v3090, v3094, v3351 or latest version? If I were running 4.3 then I would just do the latest version, but I'm unsure and don't want to risk doing something further stupid.
     
  4. MrDiesel

    Member MrDiesel GBAtemp Regular

    Joined:
    Apr 21, 2010
    Messages:
    175
    Location:
    My PC :)
    Country:
    Belgium
  5. bugaveli

    Banned bugaveli Banned

    Joined:
    Dec 7, 2008
    Messages:
    664
    Location:
    In a remote place
    Country:
    United States
    de- install huh?
     
  6. MrDiesel

    Member MrDiesel GBAtemp Regular

    Joined:
    Apr 21, 2010
    Messages:
    175
    Location:
    My PC :)
    Country:
    Belgium
    Yeah, it's weird his friend said to de-install IOS36 :S But as long as he has a cIOS, it can easily be fixed.
     
  7. ether2802

    Former Staff ether2802 we have the techno...!!

    Joined:
    Oct 14, 2007
    Messages:
    4,350
    Location:
    Pto. Vallarta
    Country:
    Mexico
    I will recomend (first of all) to stop following guides and friends that do not belong to GBATemp ([​IMG]), and then to find the latest guide to install a cIOS wich is right >HERE
     
  8. Amplify
    OP

    Newcomer Amplify Newbie

    Joined:
    Jul 14, 2010
    Messages:
    9
    Country:
    United Kingdom
    Okay, my most immediate problem is my lack of an ISO249 looking at my list.

    ISOs:
    4, 9, 10, 11, 12, 13, 14, 15, 16, 17, 20, 21, 22, 28, 30, 31, 33, 34, 35, 37, 38, 50, 51, 53, 55, 56, 60, 61, 254.

    The other thing is that I'm only taking a calculated stab at how I use WAD manager 1.7. What I've done is stick the extracted folder for 1.7 into the apps folder on my SD card and the "0000000100000024v3351" folder created by NUSD into my wads folder on my SD card. I have no idea if this was *right*, because as I've pointed out erlier I'm really just flying by the seat of my pants here. Trying to figure out this stuff as I go along but 99% for the most part I'm as clueless as it is humanly possible to be about this. That being said nothing noticeably new along the lines of a WAD manager 1.7 has appeared on my HBC list, so I can only think I've messed this up somewhere.
     
  9. MrDiesel

    Member MrDiesel GBAtemp Regular

    Joined:
    Apr 21, 2010
    Messages:
    175
    Location:
    My PC :)
    Country:
    Belgium
    Ow, I thought you had cIOS249 installed [​IMG]

    Because the IOS36 you download with NUSD is Nintendo signed, you should be able to install it using any IOS (correct me if I'm wrong). Try using IOS60 to begin with.

    You don't need to copy that folder to your SD card. Within NUSD, you have to select "Pack -> WAD" and start the download again. A file "IOS36-64-v3351.wad" will be created within the folder "0000000100000024v3351". You have to copy that file to the "wad" folder on your SD card.

    Btw, you have 4.1 installed, else IOS70 would be installed as this comes with 4.2.
     
  10. Amplify
    OP

    Newcomer Amplify Newbie

    Joined:
    Jul 14, 2010
    Messages:
    9
    Country:
    United Kingdom
    I insisted to my friend that it said "4.1E" for my version, but he said because I had updated my system version with the game "Monster Hunter Tri" that I must be on 4.2. I was skeptical, but only the 4.2 version of bannerbomb would work for me despite trying all the ones for older versions. That combined with the fact he's done all this before for the exact same purpose and (my intended) result means I was forced to accept I must be on 4.2, but in truth I'm unsure either way.
     
  11. MrDiesel

    Member MrDiesel GBAtemp Regular

    Joined:
    Apr 21, 2010
    Messages:
    175
    Location:
    My PC :)
    Country:
    Belgium
    I'm not sure what the ret = -1 means and can't find anything about it. Maybe try selecting another IOS besides IOS60, it should work with any IOS though.

    If that doesn't work, you could try installing IOS36 v3094 as this is the version for 4.1 I think.
    You could also try Dop-Mii to install IOS36.

    Or you could wait for advise from somebody else who has more knowledge than me [​IMG]

    Edit:
    With NUSD, I've downloaded IOS37* for testing. Using WAD Manager 1.7 and IOS15 (I like the number 15 xD), it successfully installed the WAD. IOS15 was not trucha bugged. So I really don't know why it isn't working for you.

    *I picked IOS37 instead of IOS36, because I didn't want to lose the trucha bug in IOS36
     
  12. Amplify
    OP

    Newcomer Amplify Newbie

    Joined:
    Jul 14, 2010
    Messages:
    9
    Country:
    United Kingdom
    Dop-mii keeps trying to look for ISO36 so that it can use it. If I try and install the trucha bug version it gives me error ret (-4100) and if I try to get back into the menu of isos with what they do and whether or not they are installed it tells me to use an ISO that accepts fake signing. The only one I knew was ISO36 which is now no longer installed and no longer listed, so I went down the list trying all of them and had the same error.

    I can't get into ISO36 to install ISO36 because I don't have ISO36 installed, kind of a catch 22 [​IMG]


    (I must be setting some kind of world record for the slowest soft mod in history here now, I started this Monday morning and all I've achieved since then is rendering myself unable to play Monster Hunter Tri any more since now it wants to perform a system update before it'll let me play again, which now that I have the HBC I'm too afraid to try.)
     
  13. MrDiesel

    Member MrDiesel GBAtemp Regular

    Joined:
    Apr 21, 2010
    Messages:
    175
    Location:
    My PC :)
    Country:
    Belgium
    WAD Manager 1.7: http://www.megaupload.com/?d=WCGKHQF8

    Unzip. It contains a .dol file. Rename it to boot.dol. In the 'apps' folder on your SD card, create a new folder, something like "WADManager17" and put the boot.dol in this folder.

    In the Homebrew Channel you will see "\apps\WADManager17\boot.dol". Start this.

    WAD Manager will ask you which IOS to use. Select one (I used IOS15 and it worked, but it should work with any) and press A. Select A again for Wii SD slot. Now navigate to the WAD folder and press A at IOS36-64-v3351.wad. Press A again to install.

    PS: It's IOS (Input/Output System) and not ISO [​IMG]
     
  14. petspeed

    Member petspeed GBAtemp Fan

    Joined:
    Nov 13, 2009
    Messages:
    482
    Country:
    Denmark
    Dop-Mii should be able to start without IOS36 and then you can select what IOS to use in the menu. Choose a IOS you have maybe IOS60 and then go to the IOS menu and install IOS36 v3094 or higher.
     
  15. Amplify
    OP

    Newcomer Amplify Newbie

    Joined:
    Jul 14, 2010
    Messages:
    9
    Country:
    United Kingdom
    I HAVE IOS36!!
    *does the happy dance*

    That worked perfectly, thanks [​IMG] already reinstalled the trucha bug version and now it looks like I'm set to start following the guide posted earlier in the thread, many thanks for that [​IMG]

    If I have any further questions on what the heck do I do I'll ask them here as they come up, cheers.
     
  16. MrDiesel

    Member MrDiesel GBAtemp Regular

    Joined:
    Apr 21, 2010
    Messages:
    175
    Location:
    My PC :)
    Country:
    Belgium
    I'm glad it worked [​IMG]
     
  17. Amplify
    OP

    Newcomer Amplify Newbie

    Joined:
    Jul 14, 2010
    Messages:
    9
    Country:
    United Kingdom
    Is this fully accurate? Is there anything else I'd have to do after this point but before that point first? Also, where can I get my hands on a savegame manager that you guys would recommend?

    Thanks for all the help so far [​IMG]
     
  18. BBking83

    Member BBking83 GBAtemp Advanced Fan

    Joined:
    Oct 23, 2008
    Messages:
    676
    Location:
    Australia
    Country:
    Australia
    Okay, from reading your first post you said you set the game to load from IOS222/223, which is Hermes cIOS. Which also you never said you installed.

    You didn't need to uninstall IOS36 but looks like you got it back. Now install Herme's cIOS: http://gwht.wikidot.com/hermes-ios222-223

    Also, all you need to do is add their Friend Codes to your roster. At least that's what I've had to do for Mario Kart, Excitebike World Rally and others...?

    I could be wrong with Monster Hunter Tri, though.
     
  19. mauifrog

    Member mauifrog DA KINE WiiHacker

    Joined:
    Jan 21, 2010
    Messages:
    1,585
    Country:
    United States
    Good this is fixed. For future use, bannerbombing wadmanager from the cboot2 pack will install/update any official wad. Very usefull for those who chose to downgrade/delete ios36, and simple.
     
  20. Amplify
    OP

    Newcomer Amplify Newbie

    Joined:
    Jul 14, 2010
    Messages:
    9
    Country:
    United Kingdom
    Yeah, I already have Hermes ios222-223. I was actually about to post last night EXACTLY what I'd done and used and installed etc, right up until I was reading the description of ios222-223 on the HBC channel list more carefully and saw the line "for use with uloader" or words to that effect. Tried uloader before hitting submit on the chance that's what the problem was and seems I was just using the wrong usb loader to start with.

    Also, for monster hunter tri how it works is they make you connect to the online server, then actually in the game you add a short code to contact your friend(s) or just come into contact with random people without using codes. The problem stems from if you have a PAL copy of the game then it puts you in the European server whether you like it or not, the same goes for America and Japan. If the two of you are on different regional servers then the only way to get together is one of you changes your game version, hence why I'm here right now [​IMG]
     

Share This Page